OpenTTD Source: ParentSpriteToDraw Struct Reference

OpenTTD Source 15.3

Data Fields
ParentSpriteToDraw Struct Reference

Parent sprite that should be drawn. More...

`#include <viewport_sprite_sorter.h>`

## Data Fields
int32_t | xmin
| minimal world X coordinate of bounding box
int32_t | ymin
| minimal world Y coordinate of bounding box
int32_t | zmin
| minimal world Z coordinate of bounding box
int32_t | x
| screen X coordinate of sprite
int32_t | xmax
| maximal world X coordinate of bounding box
int32_t | ymax
| maximal world Y coordinate of bounding box
int32_t | zmax
| maximal world Z coordinate of bounding box
int32_t | y
| screen Y coordinate of sprite
SpriteID | image
| sprite to draw
PaletteID | pal
| palette to use
const SubSprite * | sub
| only draw a rectangular part of the sprite
int32_t | left
| minimal screen X coordinate of sprite (= x + sprite->x_offs), reference point for child sprites
int32_t | top
| minimal screen Y coordinate of sprite (= y + sprite->y_offs), reference point for child sprites
int32_t | first_child
| the first child to draw.
uint32_t | order
| Used during sprite sorting.

## Detailed Description

Parent sprite that should be drawn.

Definition at line 16 of file viewport_sprite_sorter.h.

## Field Documentation

## ◆ first_child

int32_t ParentSpriteToDraw::first_child

the first child to draw.

Definition at line 36 of file viewport_sprite_sorter.h.

Referenced by AddSortableSpriteToDraw().

## ◆ image

SpriteID ParentSpriteToDraw::image

sprite to draw

Definition at line 29 of file viewport_sprite_sorter.h.

Referenced by AddSortableSpriteToDraw().

## ◆ left

int32_t ParentSpriteToDraw::left

minimal screen X coordinate of sprite (= x + sprite->x_offs), reference point for child sprites

Definition at line 33 of file viewport_sprite_sorter.h.

Referenced by AddCombinedSprite(), and AddSortableSpriteToDraw().

## ◆ order

uint32_t ParentSpriteToDraw::order

Used during sprite sorting.

Definition at line 37 of file viewport_sprite_sorter.h.

## ◆ pal

PaletteID ParentSpriteToDraw::pal

palette to use

Definition at line 30 of file viewport_sprite_sorter.h.

Referenced by AddSortableSpriteToDraw().

## ◆ sub

const SubSprite* ParentSpriteToDraw::sub

only draw a rectangular part of the sprite

Definition at line 31 of file viewport_sprite_sorter.h.

Referenced by AddSortableSpriteToDraw().

## ◆ top

int32_t ParentSpriteToDraw::top

minimal screen Y coordinate of sprite (= y + sprite->y_offs), reference point for child sprites

Definition at line 34 of file viewport_sprite_sorter.h.

Referenced by AddCombinedSprite(), and AddSortableSpriteToDraw().

## ◆ x

int32_t ParentSpriteToDraw::x

screen X coordinate of sprite

Definition at line 21 of file viewport_sprite_sorter.h.

Referenced by AddSortableSpriteToDraw().

## ◆ xmax

int32_t ParentSpriteToDraw::xmax

maximal world X coordinate of bounding box

Definition at line 24 of file viewport_sprite_sorter.h.

Referenced by AddSortableSpriteToDraw().

## ◆ xmin

int32_t ParentSpriteToDraw::xmin

minimal world X coordinate of bounding box

Definition at line 18 of file viewport_sprite_sorter.h.

Referenced by AddSortableSpriteToDraw().

## ◆ y

int32_t ParentSpriteToDraw::y

screen Y coordinate of sprite

Definition at line 27 of file viewport_sprite_sorter.h.

Referenced by AddSortableSpriteToDraw().

## ◆ ymax

int32_t ParentSpriteToDraw::ymax

maximal world Y coordinate of bounding box

Definition at line 25 of file viewport_sprite_sorter.h.

Referenced by AddSortableSpriteToDraw().

## ◆ ymin

int32_t ParentSpriteToDraw::ymin

minimal world Y coordinate of bounding box

Definition at line 19 of file viewport_sprite_sorter.h.

Referenced by AddSortableSpriteToDraw().

## ◆ zmax

int32_t ParentSpriteToDraw::zmax

maximal world Z coordinate of bounding box

Definition at line 26 of file viewport_sprite_sorter.h.

Referenced by AddSortableSpriteToDraw().

## ◆ zmin

int32_t ParentSpriteToDraw::zmin

minimal world Z coordinate of bounding box

Definition at line 20 of file viewport_sprite_sorter.h.

Referenced by AddSortableSpriteToDraw().

The documentation for this struct was generated from the following file:

- src/viewport_sprite_sorter.h